Get time entries Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Time entries owned by account UUIDs, comma separated list. Do not include if getting time entries for current user.
-
Comma separated string of circle UUIDs to filter by.
-
array Time entries started between the dates chosen, comma separated in format of Y-m-d.
-
Field to sort by. Valid fields are [created_at, start_date, end_date]. Negative sign to denote DESC. Defaults to '-end_date'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/time-entry/{trackable_type}/{trackable_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/time-entry/{trackable_type}/{trackable_uuid}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "b8817810-4174-4b2b-bf7c-60bcd5e3e2c0",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "3d4e47a3-8dc3-40e0-a918-3e23bee8bf61",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-11-17T19:57:10+00:00",
"end_date": "2026-11-17T20:25:10+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "0c8caeda-73bc-47cf-a0d1-4ae7bdfbae2b",
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "9b2c2d5c-703d-42e5-ba6b-b6e86a945a95",
"created_at": "2026-11-17T20:47:16+00:00",
"updated_at": "2026-11-17T20:47:16+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}